package entity

import (
	"code.30cm.net/digimon/app-cloudep-permission-server/pkg/domain/permission"
	"go.mongodb.org/mongo-driver/bson/primitive"
)

type Role struct {
	ID       primitive.ObjectID `bson:"_id,omitempty"`
	Name     string             `bson:"name"`
	Status   permission.Status  `bson:"status"` // 例如 1: 啟用, 0: 停用
	CreateAt int64              `bson:"create_at"`
	UpdateAt int64              `bson:"update_at"`
}

func (c *Role) Collection() string {
	return "role"
}
